# BasicPluginProxy< B, T > Class Template Reference

`#include <BasicPluginProxy.h>`

List of all members.

## Public Member Functions

| BasicPluginProxy (const std::string name, const std::string description, BasicPluginManager< B > *manager)
| BasicPluginProxy (const std::string name, const std::string description, const unsigned int numDeps, const char *deps[], BasicPluginManager< B > *manager)
| BasicPluginProxy (const BasicPluginInfo &info, BasicPluginManager< B > *manager)

## Protected Member Functions

virtual void | init (BasicPluginInfo *info, BasicPluginManager< B > *manager)
| Initialize the class.

### template<class B, class T>
class BasicPluginProxy< B, T >

## Constructor & Destructor Documentation

template<class B, class T>
BasicPluginProxy< B, T >::BasicPluginProxy | ( | const std::string | name,
|  | const std::string | description,
|  | BasicPluginManager< B > * | manager
| ) | `[inline]`

template<class B, class T>
BasicPluginProxy< B, T >::BasicPluginProxy | ( | const std::string | name,
|  | const std::string | description,
|  | const unsigned int | numDeps,
|  | const char * | deps[],
|  | BasicPluginManager< B > * | manager
| ) | `[inline]`

template<class B, class T>
BasicPluginProxy< B, T >::BasicPluginProxy | ( | const BasicPluginInfo & | info,
|  | BasicPluginManager< B > * | manager
| ) | `[inline]`

## Member Function Documentation

template<class B, class T>
virtual void BasicPluginProxy< B, T >::init | ( | BasicPluginInfo * | info,
|  | BasicPluginManager< B > * | manager
| ) | `[inline, protected, virtual]`

Initialize the class.

Called by constructors. Throws a BasicException of manager is NULL.

Parameters:

  | manager | A pointer to the Plugin Manager.

The documentation for this class was generated from the following file:

- BasicPluginProxy.h